<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#EDEDED"
    tools:context=".dashboard.TestOtherActivity">
    <LinearLayout
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        android:background="@color/white"
        android:orientation="vertical">
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:gravity="center"
            android:orientation="horizontal">
            <ImageView
                android:id="@+id/back"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@mipmap/go_back"
                android:padding="13dp"
              />
            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/flashlight"
                android:textStyle="normal"
                android:layout_marginStart="5dp"
                style="@style/TextTool25"/>
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#BFBFBF"/>
    </LinearLayout>
    <ImageView
        android:id="@+id/icon"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:src="@mipmap/big_icon_4"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:visibility="visible"
        />
    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/button"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/press_each"
        style="@style/TextSecondaryTitle"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginTop="20dp"
        android:visibility="gone"
        app:layout_constraintTop_toBottomOf="@+id/icon"/>
    <LinearLayout
        android:id="@+id/backLight"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/icon"
        android:layout_marginTop="30dp"
        android:gravity="center"
        android:visibility="gone"
        android:orientation="vertical">
        <SeekBar
            android:id="@+id/seekbar"
            android:layout_width="282dp"
            android:layout_height="wrap_content"
            android:max="10"
            android:maxHeight="10dp"
            android:minHeight="10dp"
            android:thumbOffset="0dp"
            android:padding="0dp"
            android:progress="2"
            android:progressDrawable="@drawable/progress_bg"
            android:thumb="@drawable/progress_oval" />
        <com.google.android.material.textview.MaterialTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/slide_to_adjust"
            android:textColor="@color/right_color"
            style="@style/TextSecondaryTitle"
            android:layout_marginTop="18dp" />
    </LinearLayout>
    <LinearLayout
        android:id="@+id/sensor"
        android:layout_width="match_parent"
        app:layout_constraintTop_toBottomOf="@+id/top_bar"
        android:layout_height="wrap_content"
        android:layout_marginTop="47dp"
        android:gravity="center"
        android:visibility="gone"
        android:orientation="vertical">
        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/bigTextSensor"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="313.0 lx"
            android:textStyle="normal"
            style="@style/TextSecondaryTitle"
            android:textSize="59sp"
            />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <LinearLayout
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">
                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Min:"
                    style="@style/TextSecondaryTitle"
                    android:textStyle="normal"
                    android:textColor="@color/right_color"
                    />
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/sensorMin"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="184.0 lx"
                    style="@style/TextSecondaryTitle"
                    android:textStyle="normal"
                    android:textColor="@color/right_color"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">
                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Avg:"
                    style="@style/TextSecondaryTitle"
                    android:textStyle="normal"
                    android:textColor="@color/right_color"
                    />
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/sensorAvg"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="184.0 lx"
                    style="@style/TextSecondaryTitle"
                    android:textStyle="normal"
                    android:textColor="@color/right_color"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="horizontal">
                <com.google.android.material.textview.MaterialTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Max:"
                    style="@style/TextSecondaryTitle"
                    android:textStyle="normal"
                    android:textColor="@color/right_color"
                    />
                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/sensorMax"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="184.0 lx"
                    style="@style/TextSecondaryTitle"
                    android:textStyle="normal"
                    android:textColor="@color/right_color"
                    />
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
    <LinearLayout
        android:id="@+id/proximity"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/top_bar"
        android:gravity="center"
        android:layout_marginTop="47dp"
        android:visibility="gone"
        android:orientation="vertical"
        >
        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/bigTextProximity"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="5.0 cm"
            android:textStyle="normal"
            style="@style/TextSecondaryTitle"
            android:textSize="59sp"
            />
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <com.google.android.material.textview.MaterialTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/status_1"
                style="@style/TextSecondaryTitle"
                android:textStyle="normal"
                android:textColor="@color/right_color"
                />
            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/proximityText1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="Far"
                style="@style/TextSecondaryTitle"
                android:textStyle="normal"
                android:textColor="@color/right_color"
                />
        </LinearLayout>
        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/proximityText2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/cover_the_top"
            style="@style/TextSecondaryTitle"
            android:textStyle="normal"
            android:textColor="@color/right_color"
            />
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginHorizontal="8dp"
        android:layout_height="wrap_content"
        android:paddingVertical="15dp"
        android:elevation="10dp"
        android:background="@drawable/top_radius_bg"
        android:gravity="center"
        android:orientation="vertical"
        android:paddingHorizontal="25dp">
        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/title_dialog"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/is_it_working"
            style="@style/TextSecondaryTitle"
            android:textColor="@color/right_color"
            android:layout_marginBottom="28dp"
            />
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="horizontal">
            <com.google.android.material.textview.MaterialTextView
                style="@style/TextDialogSubTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/yes"
                android:paddingVertical="7dp"
                android:paddingHorizontal="42dp"
                android:background="@drawable/is_working_btn" />
            <View
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_weight="1"/>
            <com.google.android.material.textview.MaterialTextView
                style="@style/TextDialogSubTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/no"
                android:paddingVertical="7dp"
                android:paddingHorizontal="42dp"
                android:background="@drawable/is_working_btn" />
        </LinearLayout>
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>